> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk remove tags from Trust Center controls

> Removes tags from multiple controls on a Trust Center. Limited to 100 controls per request.



## OpenAPI

````yaml /reference/manage-vanta.json delete /trust-centers/{slugId}/controls/tags
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/controls/tags:
    delete:
      tags:
        - Trust Centers
      summary: Bulk remove tags from Trust Center controls
      description: >-
        Removes tags from multiple controls on a Trust Center. Limited to 100
        controls per request.
      operationId: BulkRemoveTagsFromControls
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkTagControlsInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayResponse_TrustCenterControl_'
              examples:
                Example 1:
                  value:
                    results:
                      - id: a2f7e1b9d0c3f4e5a6c7b8d9
                        name: Control name
                        description: Control description
                        categories:
                          - id: 93d69894dd525f806d7e5c48
                            name: Category name
      security:
        - bearerAuth: []
components:
  schemas:
    BulkTagControlsInput:
      properties:
        controlIds:
          items:
            type: string
          type: array
          description: IDs of the controls to tag. Maximum 100.
        tagCategory:
          type: string
          description: ID of the tag category.
        tags:
          items:
            type: string
          type: array
          description: IDs of the tags to add or remove.
      required:
        - controlIds
        - tagCategory
        - tags
      type: object
      additionalProperties: false
    ArrayResponse_TrustCenterControl_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/TrustCenterControl'
          type: array
      required:
        - results
      type: object
      additionalProperties: false
    TrustCenterControl:
      properties:
        id:
          type: string
          description: Unique identifier for the control.
        name:
          type: string
          description: The name of the control, usually a summary of the description.
        description:
          type: string
          description: The description of the control.
        categories:
          items:
            $ref: '#/components/schemas/TrustCenterControlCategory'
          type: array
          nullable: true
          description: The Trust Center control categories that the control belongs to.
      required:
        - id
        - name
        - description
        - categories
      type: object
      additionalProperties: false
    TrustCenterControlCategory:
      properties:
        id:
          type: string
          description: Unique identifier for the control category.
        name:
          type: string
          description: Name of the category.
      required:
        - id
        - name
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````